Summary: ACPI Event Daemon
Name: acpid
Version: 1.0.2
Release: 1
Copyright: GPL
Group: Daemons
Source: acpid-1.0.2.tar.gz
BuildRoot: /var/tmp/acpid
URL: http://acpid.sourceforge.net


%description
acpid is a daemon that dispatches ACPI events to user-space programs.
  (bug reports to sunthockin@users.sourceforge.net)


%prep
%setup


%build
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install INSTPREFIX=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/acpi/events
mkdir -p $RPM_BUILD_ROOT/etc/acpi/actions
chmod 755 $RPM_BUILD_ROOT/etc/acpi/events
install -m 644 samples/sample.conf $RPM_BUILD_ROOT/etc/acpi/events

mkdir -p $RPM_BUILD_ROOT/var/log
touch $RPM_BUILD_ROOT/var/log/acpid
chmod 640 $RPM_BUILD_ROOT/var/log/acpid

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 redhat/acpid.init $RPM_BUILD_ROOT/etc/rc.d/init.d/acpid
chmod 755 $RPM_BUILD_ROOT/etc/rc.d/init.d/acpid


%files
%defattr(-,root,root)
%dir /etc/acpi
%dir /etc/acpi/events
%dir /etc/acpi/actions
%attr(0644,root,root) /etc/acpi/events/sample.conf
/var/log/acpid
/usr/sbin/acpid
%attr(0755,root,root) /etc/rc.d/init.d/acpid
/usr/share/man/man8/acpid.8.gz


%post
# only run on install, not upgrade 
if [ "$1" = "1" ]; then
	/sbin/chkconfig --add acpid
	/sbin/chkconfig acpid on
fi


%preun
# only run if this is the last instance to be removed
if [ "$1" = "0" ]; then
	/sbin/chkconfig acpid off
	/sbin/chkconfig --del acpid
fi

%changelog

%changelog
* Tue May 13 2003  Tim Hockin <thockin@sun.com>
  - Fixed a dumb bug with %e expansion for commands
  - Add COPYING file
  - Add TODO file

* Fri Mar 15 2002  Tim Hockin <thockin@sun.com>
  - Updated RPM spec with patch from sun for chkconfig on/off
  - Add Changelog, make 'make rpm' use it.
  - 1.0.1

* Wed Mar 13 2002  Tim Hockin <thockin@sun.com>
  - Fixed logging bug - not appending to log (O_APPEND needed)
  - Fix 'make install' to not need root access
  - Fix RPM spec to not need root

* Thu Sep 6 2001 Tim Hockin <thockin@sun.com>
  - 1.0.0

* Thu Aug 16 2001  Tim Hockin <thockin@sun.com>
  - Added commandline options to actions

* Wed Aug 15 2001  Tim Hockin <thockin@sun.com>
  - Added UNIX domain socket support
  - Changed /etc/acpid.d to /etc/acpid/events

* Mon Aug 13 2001  Tim Hockin <thockin@sun.com>
  - added changelog
  - 0.99.1-1

